## slocate 2.4

=== Makefile ===
CC=gcc
OBJS = main.o link.o misc.o
# Only if system does not have fts locally
#OBJS += sl_fts.o
PROG = slocate
PG=
CFLAGS = -O2 -Wall
#DEFINES=-DDEBUG

$(PROG): $(OBJS)
	$(CC) $(PG) $(DEFINES) $(LDFLAGS) -o $(PROG) $(OBJS)

clean:
	rm -f core $(PROG) *.o *~

%.o: %.c
	$(CC) $(PG) $(DEFINES) $(CFLAGS) -c -o $@ $<
	
install: $(PROG)
	/bin/sh ./install

.PHONY: install
