## slocate 2.7-4

=== debian/changelog ===
slocate (2.7-4) unstable; urgency=high

  * Added a case to handle broken diversion. /usr/bin/locate and
    /usr/bin/updatedb must be symlinks to /usr/bin/slocate. In the
    case that they are not, the removal of the diversion fails.
    A check is done to detect the diversion and forcefully removes
    /usr/bin/locate and /usr/bin/updatedb before diverting the old
    findutils binaries back.
    (closes: #270762)

 -- Kevin Lindsay <klindsay@debian.org>  Tue, 14 Sep 2004 05:22:24 +0000

slocate (2.7-3) unstable; urgency=high

  * 'slocate' sgid privileges are now dropped when searching databases that
     are not apart of the 'slocate' group. This will prevent malicious user
     supplied databases from elevating user access to the 'slocate' group.
     See CAN-2003-0848, (closes: #226103)
  * Changed diversion /etc/cron.daily.find.notslocate to
    /etc/cron.daily/find.notslocate (closes: #234563)
  * I also made the database creation feature drop privileges so that the
    SGID binary can't chown the group of the database to 'slocate' unless
    the user has explicit access.
  * Added a patch which caused LOCATE_PATH to be ignored when '-d' was used,
    and vice versa. This also fixed an off by 1 overflow bug.

 -- Kevin Lindsay <klindsay@debian.org>  Tue,  7 Sep 2004 03:20:42 +0000

slocate (2.7-2) unstable; urgency=low

  * Closing ITA. (closes: #194037)
  * Removed diverted /etc/cron.daily/find.notslocate out of the cron.daily
    directory so that multiple copies of updatedb are not run.
    (closes: #210845)
  * The diversion handling has been changed since this bug so I will close
    it and if the problem persists, please reopen. (closes: #132284)
  * Updated description. (closes: #185907)
  * slocate group will now be added as a system group on new installs. 
    (closes: #203885)
  * Fixed updatedb manpage. (closes: #152770)

 -- Kevin Lindsay <klindsay@debian.org>  Tue, 30 Dec 2003 21:54:56 +0000

slocate (2.7-1) unstable; urgency=high

  * Non-maintainer upload
  * New upstream version
  * Fixes buffer overflow causing segfault. (closes: #179338)

 -- Kevin Lindsay <klindsay@debian.org>  Mon, 17 Feb 2003 23:59:39 +0000

slocate (2.6-1.4) unstable; urgency=low

  * Non-maintainer upload
  * Handle long filenames. (Patch from David D. Kilzer, closes: #92454)
  * debian/rules (clean): Use distclean, and remove config.h too.
  
 -- Gergely Nagy <algernon@debian.org>  Mon,  2 Sep 2002 00:56:07 +0200

slocate (2.6-1.3) unstable; urgency=low

  * A "make woody great" NMU.
  * Only conflict with dlocate versions older than 0.5-0.1 (closes: #138265).
  * Don't remove & readd slocate group on every upgrade -- create it with
    addgroup unless already present when configuring, use delgroup instead
    of groupdel on removal (closes: #101253).
  * Usage of addgroup should also alleviate any problems with NIS and/or
    nscd so remove the conflict with nscd (closes: #101094, #101485,
    #80176).
  * Don't zilch out the database on every upgrade, just on removals.
  * Make the postinst less noisy, and don't print the information about
    building the first database if the database already exists (closes:
    #101063).
  * In cron.daily, do nothing if /usr/bin/slocate doesn't exist (typically
    if the package is in the conffiles stage). Closes: #132287.
  * Kill suid(un)register cruft, and depend on a dpkg with
    dpkg-statoverride.
  * Remove commented out, obsolete stuff from some scripts.
  * Clean up config.status as well (lintian).
  * Emacs local variables excised from this changelog.

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 17 Mar 2002 14:51:47 +0100

slocate (2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct memory allocation in load_file() (thanks, Gergely Nagy;
    closes: #128477).

 -- Colin Watson <cjwatson@debian.org>  Sun,  3 Feb 2002 16:57:19 +0000

slocate (2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Patch courtesy of 
    rbradetich@uswest.net.  Closes: #105026

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri, 20 Jul 2001 22:33:42 -0600

slocate (2.6-1) unstable; urgency=low

  * no more suidregister(lintian, go figure)
  * now conflicts with nscd - There's been too many bugs opened due to the groupadd issues with this pkg
   Closes: #95636
  * now conflicts with dlocate too. It seems that is there's a diversion, each package must know about each other. That sucks. I'm going to implement alternatives when I get time but until then here's my solution.
   Closes: #57126, #61789, #87654
  * now requires adduser (really the command addgroup), thanks joy@cibalia.gkvk.hr
   Closes: #78465
  * I'm such an idiot. This is just correcting syntax below.
   Closes: #78190, #76543, #71373, #71371, #71365, #66566, #66206, #56351

 -- R Garth Wood <rgwood@debian.org>  Thu, 14 Jun 2001 00:23:50 -0400

slocate (2.4-1) stable unstable; urgency=high

  * according to author the "S(ecure)Locate heap corruption" issue is resolved
   Closes #78190
  * according to author slocate is now impervious to mtab being a link 
   Closes #76543
  * according to author there is now more than very little error checking (will this satisfy Wichert? Hell ya. )
   Closes #71373
  * according to author will not segfault on deep dirs
   Closes #71371
  * copyright now gives props to the FSF
   Closes #71365
  * /var/lib/slocate/* now removed in prerm
   Closes #66566
  * now suidunregisters itself
   Closes #66206
  * upgrade should be fine. I think this is a bug in the bts
   Closes #56351

 -- R Garth Wood <rgwood@debian.org>  Wed, 29 Nov 2000 22:54:56 -0800

slocate (2.2-0.0) frozen unstable; urgency=low

  * NMU to fix a security issue. Slocate has an potentially exploitable
    buffer overrun in LOCATE_PATH. If exploited, the attacker could access
    info about files they normally cannot see the presense of. Updated to
    version 2.2 to fix the problem (no other changes in this new version).

