=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE) 
	./configure
	make

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	# ya autoconf is great.
	rm -f slocate config.status config.h

	dh_clean
	rm -rf debian/tmp

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m 0755 slocate `pwd`/debian/tmp/usr/bin 
	install -m 644 doc/slocate.1.linux.gz `pwd`/debian/tmp/usr/share/man/man1/slocate.1.gz
	gunzip `pwd`/debian/tmp/usr/share/man/man1/slocate.1.gz
	gzip -9 `pwd`/debian/tmp/usr/share/man/man1/slocate.1
	install -m 644 doc/updatedb.1.gz `pwd`/debian/tmp/usr/share/man/man1/updatedb.1.gz
	gunzip `pwd`/debian/tmp/usr/share/man/man1/updatedb.1.gz
	gzip -9 `pwd`/debian/tmp/usr/share/man/man1/updatedb.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu

	# make links
	dh_link
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	#dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
